Bug 1921781 - DefaultList component not internationalized
Summary: DefaultList component not internationalized
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.8.0
Assignee: Yadan Pei
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-28 15:38 UTC by ralpert
Modified: 2021-07-27 22:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The DefaultList component had not been internationalized. While the PR was in flight, someone merged a fix, but it did not conform to best practices. I updated that work and included a few things they had missed. Consequence: The search page results and many default K8s resources weren't internationalized. Fix: Internationalized missing elements and updated code that didn't meet style guidelines. Result: Bug is fixed.
Clone Of:
Environment:
Last Closed: 2021-07-27 22:37:10 UTC
Target Upstream Version:


Attachments (Terms of Use)
DefaultList component is internationalized (171.13 KB, image/png)
2021-02-18 03:41 UTC, Yadan Pei
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7968 0 None closed Bug 1921781: i18n DefaultList 2021-02-18 03:30:20 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:37:37 UTC

Description ralpert 2021-01-28 15:38:02 UTC
Description of problem:
The DefaultList component has not been internationalized. I saw this component is used on the Search page. 

Version-Release number of selected component (if applicable):
4.7

How reproducible:
Always

Steps to Reproduce:
1. Go to the Search page.
2. Select APIServer.
3. Look at the results with pseudolocalization turned on.

Actual results:
The APIServer table headers are not internationalized.

Expected results:
They should be internationalized.

Comment 1 ralpert 2021-02-05 18:53:51 UTC
PR probably won't merge before code freeze.

Comment 3 Yadan Pei 2021-02-18 03:41:16 UTC
Created attachment 1757684 [details]
DefaultList component is internationalized

Follow the steps in comment 0, now the search results table header is internationalized

Verified on 4.8.0-0.nightly-2021-02-18-001523

Comment 6 errata-xmlrpc 2021-07-27 22:37:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.